<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения для типа доставки.
 * 
 * Файл: /admin/shop/action/delete_image_type_of_delivery.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$shop = & singleton('shop');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$edit_item_id = to_int($_REQUEST['item_id']);

$row = $shop->GetTypeOfDelivery($edit_item_id);

if ($row)
{
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{
		$image_file = $row['shop_type_of_delivery_image'];
		
		// Путь к большой картинке
		$fname = CMS_FOLDER . UPLOADDIR. 'shop_' . $shop_shops_id . '/types_of_delivery/'.$image_file;
		
		// Файл большого изображения существует
		if (is_file($fname))
		{
			// Удаляем файл большого изображения
			@unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `shop_type_of_delivery_table` SET  `shop_type_of_delivery_image` = '' WHERE shop_type_of_delivery_id=$edit_item_id";
		$DataBase->query($query);
	}
	else
	{
		show_error_message($GLOBALS['MSG_shops']['error_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>